import React from 'react';
import { Stimulsoft } from 'stimulsoft-reports-js/Scripts/stimulsoft.viewer';
import './App.css';

class App extends React.Component {
    render() {
        return (
            <div id="viewer" className="App">
            </div>
        );
    }

    async componentDidMount() {
        console.log('Loading Viewer view');

        let options = new Stimulsoft.Viewer.StiViewerOptions();
        options.appearance.fullScreenMode = true;
        options.toolbar.showPrintButton = true;
        options.toolbar.showDesignButton = false;
        options.toolbar.showAboutButton = false;
        options.toolbar.showOpenButton = false;
        options.toolbar.printDestination = Stimulsoft.Viewer.StiPrintDestination.Pdf;

        Stimulsoft.Base.StiFontCollection.addOpentypeFontFile("fonts/THSarabunNew.otf", "TH Sarabun New");
        Stimulsoft.Base.StiFontCollection.addOpentypeFontFile("fonts/THSarabunNew Bold.otf", "THSarabunNew Bold");

        const viewer = new Stimulsoft.Viewer.StiViewer(options, "StiViewer", false);

        const report = Stimulsoft.Report.StiReport.createNewReport();
        report.loadFile(`reports/pshead_test.mrt`);


        let dataSet = new Stimulsoft.System.Data.DataSet("mydata")
        dataSet.readJsonFile('reports/data/pshead_pdno.json')

        report.dictionary.databases.clear()
        report.regData("mydata", "mydata", dataSet)

        report.renderAsync((callback: any) => {
            console.log('success', callback)
        })

        viewer.report = report;
        viewer.renderHtml("viewer");
    }

}

export default App;
